## Pull Request template

Please, go through these steps before you submit a **Pull Request**.

-   Make sure that your **Pull Request** is not a duplicate.

-   If not, then make sure that:

    -   You have done your changes in a separate branch.
        Branches MUST have descriptive names that start with either:
        **`fix/`**, **`feature/`** or **`refactor`** prefixes.

        > Example:
        >
        > Good: **`fix/signin-issue`**, **`feature/issue-templates`**
        > or **`refactor/button`**.

    -   You have a descriptive commit message with a short title (first line).

    -   Make sure there are no errors in the code.

-   **After** these steps, you're ready to open a **Pull Request**.

    -   Give a descriptive title to your **Pull Request**.

    -   Describe your changes.

    -   Put **`closes #XXXX`** in your comment to auto-close
        the Issue that your **Pull Request** fixes (if such).

IMPORTANT: Please see our
[**Contribution Guidelines**](https://github.com/Conqueror-Site-Builder/core/blob/main/CONTRIBUTING.md)
for details.

**PLEASE REMOVE THIS TEMPLATE BEFORE SUBMITTING**
